CVE-2010-3374

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

Qt Creator before 2.0.1 places a zero-length directory name in the LD_LIBRARY_PATH, which allows local users to gain privileges via a Trojan horse shared library in the current working directory.

References

http://qt.nokia.com/about/news/security-announcement-qt-creator-2.0.0-for-desktop-platforms

http://www.mandriva.com/security/advisories?name=MDVSA-2010:193

http://www.qt.gitorious.org/qt-creator/qt-creator/commit/3c00715c8e90c57953ec4a8716110f6954e524e4

http://www.securityfocus.com/bid/43672

http://www.vupen.com/english/advisories/2010/2559

http://www.vupen.com/english/advisories/2010/2560

Details

Source: MITRE

Published: 2010-10-04

Updated: 2010-10-05

Risk Information

CVSS v2

Base Score: 6.9

Vector: AV:L/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 3.4

Severity: MEDIUM

Tenable Plugins

View all (2 total)

IDNameProductFamilySeverity
79962GLSA-201412-09 : Multiple packages, Multiple vulnerabilities fixed in 2011NessusGentoo Local Security Checks
critical
49740Mandriva Linux Security Advisory : qt-creator (MDVSA-2010:193)NessusMandriva Local Security Checks
medium